Skip to content

Observability

All operations require authentication.

2 operationsv2/networkDefense/vac
Agent setup

List VAC detection eventsProduction

GET
/v2/networkDefense/vac/event

Returns the detection events of the VAC DDoS protection, with their start and end dates and attack vectors when available. Filter by date range, region or subnet. Ongoing events, not finished, can be requested on their own.

Query parameters

after
stringdate-time

Query events which started after the given date

before
stringdate-time

Query events which ended before the given date

ongoingOnly
boolean

Query for ongoing events only. If this is set, after and before parameters are ignored.

region
RegionEnum

Query events for the given region

ValuesCAEUUS
subnets
ipBlock[]

Query events for the given subnets

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200EventsResponsesuccessful operation
events
read-only
Event[]

List of events

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/networkDefense/vac/event \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "events": [ { "endedAt": "2024-01-01T12:00:00Z", "startedAt": "2024-01-01T12:00:00Z", "subnet": "192.0.2.0/24", "vectors": [ "CHARGEN" ] } ]}

Get VAC traffic statisticsProduction

GET
/v2/networkDefense/vac/traffic

Returns the traffic dropped and passed by the VAC DDoS protection after a detection event. Request by subnet, IPv4 /32 or IPv6 /64 CIDR, in bits and packets per second, over a date range.

Query parameters

after
required
stringdate-time

Query statistics after the given date

before
stringdate-time

Query statistics before the given date

subnet
required
ipBlock

Query statistics for the given subnet (currently, only IPv4/32 or IPv6/64 are supported)

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200TrafficResponsesuccessful operation
bps
read-only
TrafficResponseData

Bits per seconds statistics

pps
read-only
TrafficResponseData

Packets per seconds statistics

timestamps
read-only
string[]date-time

Timestamps of the statistics points

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/networkDefense/vac/traffic \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "bps": { "dropped": [ "string" ], "passed": [ "string" ] }, "pps": { "dropped": [ "string" ], "passed": [ "string" ] }, "timestamps": [ "2024-01-01T12:00:00Z" ]}